summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMichael Olbrich <m.olbrich@pengutronix.de>2020-06-28 11:30:31 +0200
committerMichael Olbrich <m.olbrich@pengutronix.de>2020-06-28 19:34:27 +0200
commitab1ad4c7f6e8f015117ed8ba111cc72465998e6f (patch)
tree8d142d47c7636fd17eb9439ff6daad8f50594057
parent30f8487f43d37558a6c4ff84dc5ed57616063a13 (diff)
downloadptxdist-ab1ad4c7f6e8f015117ed8ba111cc72465998e6f.tar.gz
ptxdist-ab1ad4c7f6e8f015117ed8ba111cc72465998e6f.tar.xz
ptxd_make_world_init: don't try to build a package that is not selected
Signed-off-by: Michael Olbrich <m.olbrich@pengutronix.de>
-rw-r--r--scripts/lib/ptxd_make_world_common.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/scripts/lib/ptxd_make_world_common.sh b/scripts/lib/ptxd_make_world_common.sh
index 122657d7f..d2912446b 100644
--- a/scripts/lib/ptxd_make_world_common.sh
+++ b/scripts/lib/ptxd_make_world_common.sh
@@ -197,6 +197,7 @@ export -f ptxd_make_world_env_init
# $pkg_make_par
#
ptxd_make_world_init() {
+ ptxd_make_world_env_init &&
ptxd_make_world_init_sanity_check || return
# PTXDIST_LAYERS gets lost in 'make' so redefine it here
@@ -250,6 +251,15 @@ ptxd_make_world_init() {
unset path_ptr
#
+ # ensure that the package is actually selected
+ #
+ if ! [[ " ${ptx_packages_selected} " =~ " ${pkg_label} " ]]; then
+ ptxd_bailout "'${pkg_label}' is not selected." \
+ "This can happen if the ptxconfig is outdated or" \
+ "the package is disabled for the current architecture"
+ fi
+
+ #
# check if we shall use a local work-in-progress tree instead
# of the configured URL.
#